Subject: Re: External Diff Tool

From: Eric Stegemoller <[email-masked]>
Date: Tue, 04 Aug 2009 10:12:15 -0400

David Aguilar wrote:
> On Thu, Jul 30, 2009 at 03:22:25PM -0400, Eric Stegemoller wrote:
>   
>> Bert Wesarg wrote:
>>     
>>> On Wed, Jul 29, 2009 at 22:16, Eric Stegemoller<[email-masked]> wrote:
>>>   
>>>       
>>>> Hello,
>>>>
>>>>  git config --global diff.tool TestTool
>>>>  git config --global difftool.TestTool.cmd ""c:/TestTool/test.exe" "$LOCAL"
>>>>         
>>> Try with quoting the " inside the config value:
>>>
>>>   git config --global difftool.TestTool.cmd "\"c:/TestTool/test.exe\"
>>> \"$LOCAL\" \"$REMOTE\""
>>>   Bert
>>>   
>>>       
>> Thanks, but this did not solve it. Interestingly, I have captured the  
>> command line that is sent out by GIT and it is calling the correct  
>> program but not adding anything to the command line. So, nothing is  
>> there. Seeing this I have been experimenting around with the parameters  
>> and I still it is calling the correct program but sending a blank  
>> command line. Any suggestions on how to pursue this?
>>
>> Eric
>>     
>
>
> I think shell is to blame here.
>
> Try editing ~/.gitconfig by hand.
>
> I think the suggestion above forgot to escape the $ character.
>
> Since the $'s weren't escaped, the shell interpolated the
> $LOCAL, etc. variables and replaced them with the empty
> string.
>
>
>   
Escaping the $'s did the trick! Thanks for everyones help.

Thanks,
Eric